Index: src/uk/me/parabola/mkgmap/osmstyle/WrongAngleFixer.java
===================================================================
--- src/uk/me/parabola/mkgmap/osmstyle/WrongAngleFixer.java	(revision 4127)
+++ src/uk/me/parabola/mkgmap/osmstyle/WrongAngleFixer.java	(working copy)
@@ -12,8 +12,8 @@
  */
 package uk.me.parabola.mkgmap.osmstyle;
 
-//import java.io.File;
-//import java.io.IOException;
+import java.io.File;
+import java.io.IOException;
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.Collections;
@@ -30,7 +30,7 @@
 import uk.me.parabola.mkgmap.reader.osm.Node;
 import uk.me.parabola.mkgmap.reader.osm.RestrictionRelation;
 import uk.me.parabola.mkgmap.reader.osm.Way;
-//import uk.me.parabola.splitter.O5mMapWriter;
+import uk.me.parabola.splitter.O5mMapWriter;
 import uk.me.parabola.util.GpxCreator;
 
 /**
@@ -56,7 +56,7 @@
 	static private final double MAX_DIFF_ANGLE_STRAIGHT_LINE = 3;
 	
 	private final Area bbox;
-	private final String gpxPath = null;
+	private final String gpxPath = "e:/ld/";
 	static final int MODE_ROADS = 0;
 	static final int MODE_LINES = 1;
 	private int mode = MODE_ROADS;
@@ -71,7 +71,7 @@
 						grid.add(new Coord(lat,lon));
 					}
 				}
-				GpxCreator.createGpx("e:/ld/grid", bbox.toCoords(), grid);
+				GpxCreator.createGpx(gpxPath + "grid", bbox.toCoords(), grid);
 			}
 		}
 	}
@@ -271,6 +271,9 @@
 				
 			lastWay = null;
 			for (ConvertedWay cw : convertedWays) {
+				if (cw.getWay().getId() == 130663479) {
+					long dd = 4;
+				}
 				if (!cw.isValid() || cw.isOverlay()) 
 					continue;
 				Way way = cw.getWay();
@@ -279,7 +282,7 @@
 				if (pass != 1 && waysWithBearingErrors.contains(way) == false)
 					continue;
 				lastWay = way;
-
+				
 				boolean wayHasSpecialPoints = false;
 				List<Coord> points = way.getPoints();
 				// scan through the way's points looking for line segments with big 
@@ -1264,7 +1267,6 @@
 	
 	private void writeOSM(String name, List<ConvertedWay> convertedWays){
 		//TODO: comment or remove
-		/*
 		if (gpxPath == null)
 			return;
 		File outDir = new File(gpxPath + "/.");
@@ -1334,7 +1336,6 @@
 				ren.delete();
 			f.renameTo(ren);
 		}
-		*/
 	}
 	
 	 
